#
# spec file for package python-retry_decorator
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-retry_decorator
Version:        1.0.0
Release:        7.2
Summary:        Retry on Exception
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/pnpnpn/retry-decorator
Source0:        https://pypi.python.org/packages/source/r/retry_decorator/retry_decorator-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Decorator to support retry when an exception occurs

%prep
%setup -q -n retry_decorator-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt CHANGES.txt
%{python_sitelib}/*

%changelog
* Fri Feb 14 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 1.0.0
  + Using seed for pypi deployment; modified to use logger rather fptr
- Use download Url as source
- Add README.rst and CHANGES.txt to package documentation
* Wed Aug 14 2013 rschweikert@suse.com
- Separate build and install to follow our accepted convention
* Wed Aug 14 2013 rschweikert@suse.com
- BuildRequire python to fix build error on SLE
* Tue Aug 13 2013 rschweikert@suse.com
- Initial build
